[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFontStyles

Set type used to store TFontStyle value(s).

## Declaration

Source position: graphics.pp line 75

`type TFontStyles = set of (`
`fsBold,` |  | Bold font style.
`fsItalic,` |  | Italic font style.
`fsUnderline,` |  | Underline font style.
`fsStrikeOut` |  | Strike-out (or strike-through) font style.
`);`

## Description

TFontStyles is a set type used to store 0 (zero) or more values from the TFontStyle enumeration.

## Version info

Modified in LCL 3.0 to be an alias to TFontStyles in System.UITypes for FPC 3.3.0 or higher.

## See also

TFontStylesBase |  | Set type used to store TFontStyle value(s).
TFont.Style |  | Styles applied to the font face.
TFontData |  | Contains information about a font used in an application.